Package com.documentum.registry

# Class DfRegistryUtils

java.lang.Object
com.documentum.registry.DfRegistryUtils

public class DfRegistryUtils extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DfRegistryUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `fillCheckedOutObject(IDfCheckedOutObject registryObject, IDfSysObject sysObject, com.documentum.operations.impl.DfOperationObject operationObject, String filePath, boolean keepLocalFile, String folderPath, com.documentum.fc.client.acs.impl.common.request.impl.ContentIdentifier contentIdentifier)`
  `static void`
  `fillLocalObject(IDfLocalObject registryObject, IDfSysObject sysObject, com.documentum.operations.impl.DfOperationObject operationObject, String filePath, String folderPath)`
  `static void`
  `fillViewedObject(IDfViewedObject registryObject, IDfSysObject sysObject, com.documentum.operations.impl.DfOperationObject operationObject, String filePath, String folderPath, com.documentum.fc.client.acs.impl.common.request.impl.ContentIdentifier contentIdentifier)`
  `static Calendar`
  `formatLastModified(String value)`
  `static String`
  `formatLastModified(Calendar value)`
  `static String`
  `formatLastModified(Date date)`
  `static String`
  `getFilePathFromObjectId(IDfClientRegistryInternal clientReg, IDfId objectId)`
  `static IDfId`
  `getObjectIdFromFilePath(IDfClientRegistryInternal clientReg, String filePath)`
  `static void`
  `removeViewedObjectPath(IDfClientRegistryInternal clientReg, IDfViewedObject itemToRemove, String filePath)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DfRegistryUtils

    public DfRegistryUtils()

- ## Method Details

  - ### fillCheckedOutObject

    public static void fillCheckedOutObject(IDfCheckedOutObject registryObject, IDfSysObject sysObject, com.documentum.operations.impl.DfOperationObject operationObject, String filePath, boolean keepLocalFile, String folderPath, com.documentum.fc.client.acs.impl.common.request.impl.ContentIdentifier contentIdentifier) throws DfException
    Throws:
      `DfException`

  - ### fillViewedObject

    public static void fillViewedObject(IDfViewedObject registryObject, IDfSysObject sysObject, com.documentum.operations.impl.DfOperationObject operationObject, String filePath, String folderPath, com.documentum.fc.client.acs.impl.common.request.impl.ContentIdentifier contentIdentifier) throws DfException
    Throws:
      `DfException`

  - ### fillLocalObject

    public static void fillLocalObject(IDfLocalObject registryObject, IDfSysObject sysObject, com.documentum.operations.impl.DfOperationObject operationObject, String filePath, String folderPath) throws DfException
    Throws:
      `DfException`

  - ### formatLastModified

    public static String formatLastModified(Date date)

  - ### formatLastModified

    public static String formatLastModified(Calendar value)

  - ### formatLastModified

    public static Calendar formatLastModified(String value) throws DfException
    Throws:
      `DfException`

  - ### getFilePathFromObjectId

    public static String getFilePathFromObjectId(IDfClientRegistryInternal clientReg, IDfId objectId) throws DfException
    Throws:
      `DfException`

  - ### getObjectIdFromFilePath

    public static IDfId getObjectIdFromFilePath(IDfClientRegistryInternal clientReg, String filePath) throws DfException
    Throws:
      `DfException`

  - ### removeViewedObjectPath

    public static void removeViewedObjectPath(IDfClientRegistryInternal clientReg, IDfViewedObject itemToRemove, String filePath) throws DfException
    Throws:
      `DfException`